public class SubmitAIImageJobRequest
extends com.aliyun.tea.TeaModel
| 限定符和类型 | 字段和说明 |
|---|---|
String |
AIPipelineId
The ID of the pipeline that is used for the AI processing job.
|
String |
AITemplateId
The ID of the AI template.
|
String |
ownerAccount |
String |
ownerId |
String |
resourceOwnerAccount |
String |
resourceOwnerId |
String |
userData
The user data.
|
String |
videoId
The ID of the video.
|
| 构造器和说明 |
|---|
SubmitAIImageJobRequest() |
| 限定符和类型 | 方法和说明 |
|---|---|
static SubmitAIImageJobRequest |
build(Map<String,?> map) |
String |
getAIPipelineId() |
String |
getAITemplateId() |
String |
getOwnerAccount() |
String |
getOwnerId() |
String |
getResourceOwnerAccount() |
String |
getResourceOwnerId() |
String |
getUserData() |
String |
getVideoId() |
SubmitAIImageJobRequest |
setAIPipelineId(String AIPipelineId) |
SubmitAIImageJobRequest |
setAITemplateId(String AITemplateId) |
SubmitAIImageJobRequest |
setOwnerAccount(String ownerAccount) |
SubmitAIImageJobRequest |
setOwnerId(String ownerId) |
SubmitAIImageJobRequest |
setResourceOwnerAccount(String resourceOwnerAccount) |
SubmitAIImageJobRequest |
setResourceOwnerId(String resourceOwnerId) |
SubmitAIImageJobRequest |
setUserData(String userData) |
SubmitAIImageJobRequest |
setVideoId(String videoId) |
@NameInMap(value="AIPipelineId") public String AIPipelineId
The ID of the pipeline that is used for the AI processing job.
> This parameter is optional if you have specified a default pipeline ID. If you need to submit image AI processing jobs in a batch to a specific pipeline, [submit a ticket](https://yida.alibaba-inc.com/o/ticketapply) to contact Alibaba Cloud technical support.
@NameInMap(value="AITemplateId") public String AITemplateId
The ID of the AI template. You can use one of the following methods to obtain the ID:
* Obtain the value of TemplateId from the response to the [AddAITemplate](~~102930~~) that you call to create the template.
* Obtain the value of TemplateId from the response to the [ListAITemplate](~~102936~~) operation after you create the template.
@NameInMap(value="OwnerAccount") public String ownerAccount
@NameInMap(value="OwnerId") public String ownerId
@NameInMap(value="ResourceOwnerAccount") public String resourceOwnerAccount
@NameInMap(value="ResourceOwnerId") public String resourceOwnerId
@NameInMap(value="UserData") public String userData
The user data.
* The value must be a JSON string.
* You must specify the MessageCallback or Extend parameter.
* The value can contain a maximum of 512 bytes.
For more information, see the "UserData: specifies the custom configurations for media upload" section of the [Request parameters](~~86952~~) topic.
@NameInMap(value="VideoId") public String videoId
The ID of the video. You can use one of the following methods to obtain the ID:
* Log on to the [ApsaraVideo VOD](https://vod.console.aliyun.com) console. In the left-side navigation pane, choose **Media Files** > **Audio/Video**. On the Video and Audio page, view the ID of the video file. This method is applicable to files that are uploaded by using the ApsaraVideo VOD console.
* Obtain the value of VideoId from the response to the [CreateUploadVideo](~~55407~~) operation that you call to upload the video.
* Obtain the value of VideoId from the response to the [SearchMedia](~~86044~~) operation after you upload the video.
public static SubmitAIImageJobRequest build(Map<String,?> map) throws Exception
Exceptionpublic SubmitAIImageJobRequest setAIPipelineId(String AIPipelineId)
public String getAIPipelineId()
public SubmitAIImageJobRequest setAITemplateId(String AITemplateId)
public String getAITemplateId()
public SubmitAIImageJobRequest setOwnerAccount(String ownerAccount)
public String getOwnerAccount()
public SubmitAIImageJobRequest setOwnerId(String ownerId)
public String getOwnerId()
public SubmitAIImageJobRequest setResourceOwnerAccount(String resourceOwnerAccount)
public String getResourceOwnerAccount()
public SubmitAIImageJobRequest setResourceOwnerId(String resourceOwnerId)
public String getResourceOwnerId()
public SubmitAIImageJobRequest setUserData(String userData)
public String getUserData()
public SubmitAIImageJobRequest setVideoId(String videoId)
public String getVideoId()
Copyright © 2024. All rights reserved.